﻿/*
    Override Bootstrap styles
*/
html {
    font-family: Calibri; /*, sans-serif; */
}

body {
    background: url('/images/bg/cms-bg.jpg') no-repeat center center fixed;
    font-family: Calibri; /* -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"; */
    /*background-color: #eceef1;*/
    font-size: 0.8rem;
}

.row {
    padding-top: 2px;    
}

.report-heading {
    font-size: larger;
    font-weight: 700;
}

/*
.col-sm-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 12.666667%;
    flex: 0 0 12.666667%;
    max-width: 12.666667%;
}
    */

label.required:after {
    content: " *";
    font-size: large;
    color: red;
}

div.required:after {
    content: " *";
    color: red;
}

.btn-secondary {
    background-color: cornflowerblue;
    color: black;
}

.btn-xs {
    font-size: 0.8rem;
    line-height: 1;
    padding: 0.3rem 0.3rem;
}

.actionCell {
    padding-top: 5px;
    text-align: center;
    align-items: center;        
    width: 100%;
    height: 100%;
}

.fieldButton {
    background-color: skyblue;
    padding: 2px;
    font-size: 0.85rem;
}

.form-field-state {
    width: 80px;    
}
.form-field-time {
    width: 80px;
}
.form-field-day {
    width: 100px;
}

.pay-attention {
    color: red;
}

/*
    Message styles
*/
.cms-msg-normal {

}

.cms-msg-warning {
    background-color: orange;
    font-weight: bold;
}

.cms-msg-error {
    background-color: orangered;
    font-weight: bold;
}

/*********************************************************************
Panels
*/
.panel {
    margin-bottom: 5px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.03);
    box-shadow: 0 1px 1px #333; /* rgba(0,0,0,.09); */

}

.panel-default {
    border-color: #ddd;
}

    .panel-default > .panel-heading {
        color: #333;
        background-color: #f0f0d0; /* #f5f5f5; #ffffcc;*/
        border-color: #ddd;        
    }

.panel-heading {
    padding: 0px 5px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.panel-footer {
    padding: 10px 15px;
    color: #333;
    background-color: #f5f5f5;
    border-color: #ddd;
}

.panel-title > a {
    color: black;
    font-size: 1rem;     
}

.panel-body {
    padding: 10px;
}

.panel-sub-section {
    padding-top: 5px;
    padding-bottom: 5px;
    width: 100%;
}

/**********************************************************************
Override jqWidget styles
*/
input[type=text].jqx-input {
    min-height: 12px;
    min-width: 16px;
    margin: 0px;
    border-width: 1px;
    border-style: solid;    
    padding: 1px;
    padding-left: 1px;
    padding-right: 1px;
    font-size: 0.8rem;
}

.jqx-fill-state-normal {
    font-size: 11px;
}

.jqx-widget {
    font-size: 12px;
}
/**********************************************************************/

.spanLink {
    cursor: pointer;
    padding-bottom: 20px;
}

.highlightField {
    background-color: lightblue;
}

.sub-section-heading {
    background-color: #e0e9f5;
    font-size: 0.8rem;
    font-weight: bold;
    width: 100%;
}

.emphasisOnField {
    font-weight: bold;
}

#cmsAlert {
    display: none;
}

#displaySpecialInstructions {    
    height: 100px;
    width: 500px;
    overflow: auto;
    border: solid 1px;
    border-color: lightslategray
}